MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022981Community[OCCT] OCCT:Modeling Algorithmspublic2012-02-07 14:212013-04-29 15:24
ReporterTimo 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0022981: BRepOffsetAPI_ThruSections fails to build a surface from closed wires
DescriptionIn order to reproduce the problem you can use the following Draw commands:

restore Turb1.brep t
explode t
thrusections r 0 0 t_1 t_2 t_3 t_4 t_5 t_6 t_7 t_8 t_9 t_10 t_11
alternatively:
thrusections r 0 0 t_1 t_2 t_3

If I leave out the first wire the exception is not thrown:
thrusections r 0 0 t_2 t_3 t_4 t_5 t_6 t_7 t_8 t_9 t_10 t_11


Tested with OCC 6.5.2

Stack-Trace:
...
TKernel.dll!Standard_ConstructionError::Raise(const char * const AString) Zeile 12 + 0xcc Bytes C++
TKG3d.dll!Geom_BSplineSurface::InsertUKnots(const TColStd_Array1OfReal & Knots, const TColStd_Array1OfInteger & Mults, const double ParametricTolerance, const unsigned int Add) Zeile 1882 + 0xa Bytes C++
TKG3d.dll!Geom_BSplineSurface::Segment(const double U1, const double U2, const double V1, const double V2) Zeile 641 C++
TKOffset.dll!BRepOffsetAPI_ThruSections::CreateSmoothed() Zeile 642 C++
TKOffset.dll!BRepOffsetAPI_ThruSections::Build() Zeile 392 C++

Is it a bug or is there a problem with the wires / geometry?
Additional information
and documentation updates
Forum supervisor:
The posted problem has been checked and reproduced.
It looks like a bug. The commands:
>>thrusections r 0 0 t_1 t_2
>>thrusections r 0 0 t_2 t_3 t_4 t_5 t_6 t_7 t_8 t_9 t_10 t_11
are performed successfully, but together with the first section it leads to exception.
TagsNo tags attached.
Test case numberbugs modalg_5 bug22981
Attached Files? file icon Turb1.brep (161,373 bytes) 2012-02-07 14:21
png file icon thruSections with increased tolerance.PNG (19,759 bytes) 2012-02-07 15:55

- Relationships
related to 0023436closedjgv BRepOffsetAPI_ThruSections crashes when lofting through identical profiles 

-  Notes
(0019439)
Timo (developer)
2012-02-07 15:54

BSplCLib::PrepareInsertKnots, which is called by Geom_BSplineSurface::InsertUKnots, returns false because (adeltaK2 > Tolerance).
adeltaK2: 1.3322676295501878e-015
Tolerance: 8.8817841970012523e-016

If the parametric tolerance (epsU) is increased to 8.8817841970012523e-015
before the call of InsertUKnots in Geom_BSplineSurface::Segment, the surface can be generated, but it doesn't seem to be OK in visualization (see "thruSections with increased tolerance.PNG").
(0023527)
abv (manager)
2013-02-28 15:17

The problem seems to be fixed by fix for 0023436, at least it is not reproduced on current master. I suggest the issue can be closed after adding a test case.
(0023681)
apn (administrator)
2013-03-12 17:03

Branch CR22981 was created from current state of master. The problem is fixed.
Test case - bugs/modalg_5/bug22981 - OK
Branch contains only test case and will be integrated.

- Related Changesets
occt: master 972bd4bf
Timestamp: 2013-03-12 13:02:56
Author: apn
Details ] Diff ]
0022981: BRepOffsetAPI_ThruSections fails to build a surface from closed wires

Added test case for issue 22981.
add - tests/bugs/modalg_5/bug22981 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-02-07 14:21 Timo New Issue
2012-02-07 14:21 Timo Assigned To => jgv
2012-02-07 14:21 Timo File Added: Turb1.brep
2012-02-07 15:54 Timo Note Added: 0019439
2012-02-07 15:55 Timo File Added: thruSections with increased tolerance.PNG
2013-02-28 15:16 abv Relationship added related to 0023436
2013-02-28 15:17 abv Note Added: 0023527
2013-02-28 15:17 abv Assigned To jgv => bugmaster
2013-02-28 15:17 abv Status new => feedback
2013-02-28 15:19 abv Target Version => 6.6.0
2013-02-28 17:57 bugmaster Assigned To bugmaster => mkv
2013-03-12 17:03 apn Note Added: 0023681
2013-03-12 17:04 apn Test case number => bugs modalg_5 bug22981
2013-03-12 17:04 apn Assigned To mkv => bugmaster
2013-03-12 17:04 apn Status feedback => tested
2013-03-18 20:48 apn Changeset attached => occt master 972bd4bf
2013-03-18 20:48 apn Assigned To bugmaster => apn
2013-03-18 20:48 apn Status tested => verified
2013-03-18 20:48 apn Resolution open => fixed
2013-04-23 13:35 user533 Status verified => closed
2013-04-29 15:24 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker